<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Perbarui Tagihan Pendaftar</title>
</head>
<body>
<section layout:fragment="main" class="content">
    <div class="row" id="printDiv" >
        <div class="col-md-5 col-sm-5 col-xs-5">
            <div class="x_panel tile fixed_height_160">
                <!-- info row -->
                <!-- /.row -->
                <div class="row">
                    <div class="col-xs-12 invoice-header">
                        <h3>
                            Tagihan Daftar Ulang
                        </h3>
                    </div>
                </div>
                <div class="row invoice-info" >
                    <div class="col-sm-12 invoice-col">
                        <address>
                            <table class="tabs-left" >
                                <tr>
                                    <td width="160px">Nama</td>
                                    <td width="8px">:</td>
                                    <td th:text="${pendaftar.leads.nama +' - '+ pendaftar.nomorRegistrasi}">Haffizh</td>
                                </tr>
                                <tr>
                                    <td width="160px">Program Studi</td>
                                    <td width="8px">:</td>
                                    <td th:text="${pendaftar.programStudi.nama +' - '+ pendaftar.konsentrasi}">Akutansi Syariah</td>
                                </tr>
                                <tr style="font-weight: bold">
                                    <td width="160px">Keterangan Diskon</td>
                                    <td width="8px">:</td>
                                    <td th:text="${hasilTest.keterangan}">50%</td>
                                </tr>
                                <tr style="font-weight: bold">
                                    <td width="160px">Nomor Tagihan</td>
                                    <td width="8px">:</td>
                                    <td th:text="${tagihan.nomorTagihan}">Rp. 16.000.000</td>
                                </tr>
                                <tr style="font-weight: bold">
                                    <td width="160px">Tagihan Awal</td>
                                    <td width="8px">:</td>
                                    <td th:text="${'Rp. ' + #numbers.formatDecimal(tagihan.totalTagihan, 0, 'POINT', 2, 'COMMA') }">Rp. 16.000.000</td>
                                </tr>
                                <tr>
                                    <td>&nbsp;</td>
                                    <td>&nbsp;</td>
                                    <td>
                                        <button type="button" class="btn btn-xs btn-primary" data-toggle="modal" th:attr="data-target=${'#editModal'+tagihan.id}">
                                            <i class="fa fa-money"></i>&nbsp;Edit Tagihan
                                        </button>
                                    </td>

                                    <div class="modal fade" th:attr="id=${'editModal' + tagihan.id}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                        <div class="modal-dialog modal-dialog-centered" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h2  class="modal-title" id="exampleModalLabel">Edit Tagihan Daftar Ulang</h2>
                                                </div>
                                                <form th:action="@{/tagihan/updateTagihan(id=${tagihan.id})}" th:object="${tagihan}" method="post">
                                                    <div class="modal-body">
                                                        <div class="row">
                                                            <input type="hidden" th:value="${tagihan.id}">
                                                            <div class="col-lg-12">
                                                                <label>Nominal Tagihan :</label>
                                                                <input type="text" th:value="${tagihan.totalTagihan}" class="form-control" name="totalTagihan" placeholder="Nominal Tagihan">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                        <button type="submit" class="btn btn-primary">Save changes</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </tr>
<!--                                <tr style="font-weight: bold">-->
<!--                                    <td width="160px">Jumlah Cicilan</td>-->
<!--                                    <td width="8px">:</td>-->
<!--                                    <td th:text="${tagihan.cicilan+'x Cicilan'}">1x Cicilan</td>-->
<!--                                </tr>-->
<!--                                <tr th:if="${cicilan != null}" style="font-weight: bold">-->
<!--                                    <td width="160px">Nominal Cicilan</td>-->
<!--                                    <td width="8px">:</td>-->
<!--                                    <td th:text="${'Rp. ' + #numbers.formatDecimal(cicilan.nominal, 0, 'POINT', 2, 'COMMA') }">Rp.800.000</td>-->
<!--                                </tr>-->
                            </table>
                        </address>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-7 col-sm-7 col-xs-7">
            <div class="x_panel tile fixed_height_160">
                <div class="row">
                    <form th:action="@{/tagihan/editDetailTagihan}" th:object="${editDuDto}" method="post">
                        <div class="col-xs-12 invoice-header">
                            <h3>
                                Perbarui Tagihan Daftar Ulang
                            </h3>
                                <input type="hidden" th:value="${tagihan.id}" name="tagihan">
                                <input type="hidden" th:value="${pendaftar.id}" name="idPendaftar">
                                <input type="hidden" th:value="${hasilTest.id}" name="idHasilTest">
                            <div class="form-group col-md-6">
                                <label>Keterangan</label>
                                <select class="form-control" name="keterangan">
                                    <option value=""></option>
                                    <option th:selected="${'Beasiswa Tazkia Cendikia' == pendaftar.keteranganTagihan}" value="Beasiswa Tazkia Cendikia">Tagihan Beasiswa Tazkia Cendikia</option>
                                    <option th:selected="${'Beasiswa Tazkia Gemilang' == pendaftar.keteranganTagihan}" value="Beasiswa Tazkia Gemilang">Tagihan Beasiswa Tazkia Gemilang</option>
                                    <option th:selected="${'Beasiswa Tazkia Unggulan' == pendaftar.keteranganTagihan}" value="Beasiswa Tazkia Unggulan">Tagihan Beasiswa Tazkia Unggulan </option>
                                    <option th:selected="${'Beasiswa Islam Terpadu' == pendaftar.keteranganTagihan}" value="Beasiswa Islam Terpadu">Tagihan Beasiswa Islam Terpadu</option>
                                    <option th:selected="${'Beasiswa Rapor' == pendaftar.keteranganTagihan}" value="Beasiswa Rapor">Tagihan Beasiswa Rapor</option>
                                    <option th:selected="${'Test Kelas Karyawan' == pendaftar.keteranganTagihan}" value="Test Kelas Karyawan">Test Kelas Karyawan</option>
                                </select>
                            </div>
                            <div class="form-group col-md-6">
                                <label>Jumlah Cicilan</label>
                                <select class="form-control" name="cicilan">
                                    <option value="1">1x Cicilan</option>
                                    <option value="2">2x Cicilan</option>
                                    <option value="3">3x Cicilan</option>
                                </select>
                            </div>
                            <div class="form-group col-md-4">
                                <label for="totalTagihan">Tagihan Ke 1</label>
                                <input type="number" required class="form-control" id="totalTagihan" name="totalTagihan">
                            </div>
                            <div class="form-group col-md-4">
                                <label>Tagihan Ke 2</label>
                                <input type="number" required class="form-control" id="cicilan1x" name="cicilan1x">
                            </div>
                            <div class="form-group col-md-4">
                                <label>Tagihan Ke 3</label>
                                <input type="number" required class="form-control" id="cicilan2x" name="cicilan2x">
                            </div>
                            <div class="form-group col-md-4">
                                <input type="hidden" th:value="${tagihan.totalTagihan}" id="htotal">
                            </div>
                            <div class="form-group col-md-12" align="left">
                                <button class="btn btn-md btn-info waves-effect" id="submit" type="submit">Update Tagihan</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>


</section>
</body>
<th:block layout:fragment="script">
    <script>
        $('#totalTagihan, #cicilan1x,#cicilan2x').on('input',function() {
            var tagihan1 = parseFloat($('#totalTagihan').val());
            var tagihan2 = parseFloat($('#cicilan1x').val());
            var tagihan3 = parseFloat($('#cicilan2x').val());
            var totalTagihan = parseFloat($('#htotal').val());

            var htotalTagihan = (tagihan1 + tagihan2 + tagihan3 ? tagihan1 + tagihan2 + tagihan3 : 0).toFixed(2);

            if(htotalTagihan != totalTagihan){
                document.getElementById("submit").disabled = true;
            }else if (htotalTagihan == totalTagihan){
                document.getElementById("submit").disabled = false;
            }
        });
    </script>

    <script>
        document.getElementById("doPrint").addEventListener("click", function() {
            var printContents = document.getElementById('printDiv').innerHTML;
            var originalContents = document.body.innerHTML;
            document.body.innerHTML = printContents;
            window.print();
            document.body.innerHTML = originalContents;
        });
    </script>
</th:block>

</html>